Bug 727689 - Panic on boot
Summary: Panic on boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 21:31 UTC by Horst H. von Brand
Modified: 2011-08-11 01:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-11 01:33:42 UTC


Attachments (Terms of Use)
Hand-copied backtrace (it seems the same one went by just before, just the last line shows) (883 bytes, text/plain)
2011-08-02 21:31 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2011-08-02 21:31:28 UTC
Created attachment 516399 [details]
Hand-copied backtrace (it seems the same one went by just before, just the last line shows)

Description of problem:
The system panics and hangs

Version-Release number of selected component (if applicable):
3.1.0-0.rc0.git15.1.fc17.x86_64

How reproducible:
Each time

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Panic

Expected results:


Additional info:
This is a Samsung N210 netbook (dual-core Atom)

Comment 1 Horst H. von Brand 2011-08-03 15:31:50 UTC
Forcefully installing kernel-2.6.40-4.fc15.x86_64 and booting with selinux=0 gets the system to work.

Comment 2 Horst H. von Brand 2011-08-03 21:57:08 UTC
With 3.1.0-0.rc0.git17.1.fc17.x86_64 and selinux=0 it boots fine. It just shows BUG: scheduling while atomic: swapper/0/0x10000002

A backtrace shows up, will report it separately.

Comment 3 Horst H. von Brand 2011-08-04 12:51:46 UTC
(In reply to comment #2)
> With 3.1.0-0.rc0.git17.1.fc17.x86_64 and selinux=0 it boots fine. It just shows
> BUG: scheduling while atomic: swapper/0/0x10000002
> 
> A backtrace shows up, will report it separately.

Tried 3.1.0-0.rc0.git17 with SELINUX. Relabel went OK, rebooted fine after that.

Comment 4 Josh Boyer 2011-08-04 15:50:16 UTC
This commit:

http://git.kernel.org/?p=linux/kernel/git/x86/linux-2.6-tip.git;a=commitdiff;h=7d36b26be0f3c6b86e3ab7e1539e42f3a3bc79ca

should fix the originally reported backtrace.  It's queued to be merged upstream and should show up in rawhide relatively soon.

Comment 5 Chuck Ebbert 2011-08-11 01:33:42 UTC
The fix is in 3.1-rc1


Note You need to log in before you can comment on or make changes to this bug.